Skip to main content
POST
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
insight
/
generate-report
Generate report from reportparams
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/insight/generate-report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataType": "checkout/transactions",
  "schedule": "monthly",
  "language": "no"
}
'
{
  "dataType": "checkout/transactions",
  "schedule": "monthly",
  "language": "no",
  "reportFilters": [
    {
      "filter": "store_id",
      "value": "<string>"
    }
  ],
  "contentType": "application/pdf"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

Insight Report Params

dataType
enum<string>
required
Available options:
checkout/transactions
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentType
enum<string>

Content type for the report

Available options:
application/pdf,
text/csv

Response

Insight report params used to generate report

dataType
enum<string>
required
Available options:
checkout/transactions
schedule
enum<string>
required

Schedule for the report, how often will the report be generated

Available options:
monthly,
weekly,
daily
language
enum<string>
required

Report Language

Available options:
no,
en
reportFilters
object[]

List of filters used to filter the data for the report. Similar to SQL WHERE-clause. i.e, WHERE filter=value

contentType
enum<string>

Content type for the report

Available options:
application/pdf,
text/csv